/* .App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    animation: App-logo-spin infinite 20s linear;
  }
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
} */


.App {
  text-align: center;
  padding: 20px;
}

h1 {
  margin-bottom: 20px;
}

.editor-container {
  display: flex;
  align-items: flex-start;
}

.editor {
  flex: 1;
  display: flex;
  flex-direction: column;
  margin-right: 20px;
}

textarea {
  flex: 1;
  font-size: 16px;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
  resize: none;
}

.preview {
  margin-top: 10px;
  font-size: 18px;
}

.keyboard {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 10px;
  margin-top: 20px;
}

.keyboard-row {
  display: flex;
  justify-content: space-between;
}

button {
  width: 50px;
  height: 50px;
  font-size: 20px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

